# Husk

Builds a website out of a git repository file structure and markdown files
* The file structure of your git repository is used as a tree strucuture for the website. Build your website through markdown files in your git repository only, don't worry about anything else
* `README.md` is your frontpage
* Write documentation in your code repository, let husk deal with the rest. Parses Markdown only, ignores your scripts and code files.
* Search the files of your documentation live and without a database
* Builds a TOC of your markdown file as sections of the documentation's website for ease of use
* Multiple themes included

## Usage

To build a static website do the following steps
1. Clone the git repository of choice containing markdown documentation
2. Put its path into `settings.toml`
3. Run `python3 freezer.py`

There will be a directory called `build` containing your static website after the script is finished. Copy it to your webserver and enjoy.

### Settings and Themes

Any specifics to your project can be set inside the settings file.
Themes for the website can be set here as well. The following themes are included
* dark-one
* github-dark
* solarized-dark
* solarized-light
* xcode

### Debugging

* Debug as __dynamic website__ via running `./start.sh` and vist `localhost:5000`

* Debug the __static website__ after you did the build via following commands and vist `localhost:8000`
```sh
cd build/
python3 -m http.server
```
